import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSStatusItem } from "./NSStatusItem.js";
export declare class _NSStatusBar extends _NSObject {
    static alloc(): _NSStatusBar;
    static new(): _NSStatusBar;
    init(): _NSStatusBar;
    static systemStatusBar(): _NSStatusBar;
    statusItemWithLength$(length: number): _NSStatusItem;
    removeStatusItem$(item: _NSStatusItem): void;
    vertical(): boolean;
    thickness(): number;
}
